document.getElementById('addNewPosition').addEventListener('click', function () {
    const container = document.getElementById('positionsContainer');
    const initialPositionContainer = document.querySelector('.initialPositionContainer');
    
    const newPositionContainer = initialPositionContainer.cloneNode(true);
    newPositionContainer.classList.remove('hidden');

    const removeButton = newPositionContainer.querySelector('.removePositionOption');
    removeButton.classList.remove('hidden');
    removeButton.addEventListener('click', function() {
        newPositionContainer.remove();
    });

    container.appendChild(newPositionContainer);
});